#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long int n,m,l[n],l1[n],a,b,c;
    int r[m]= { 0 };
    cin>>n>>m;
    for (int i=0;i<n-1;i++){
        cin>>l[i]>>l1[i];
    }
    for (int i=0;i<n-1;i++){
        cin>>a>>b>>c;
        for(int j=0;j<b-a+1;j++){
            if ((c>=l[a+j-1]) && (c<=l1[a+j-1])){
                r[i]++;
            }
        }
    }
    for (int i=0;i<m-1;i++){
        cout<<r[i]<<endl;
    }

    return 0;
}